diff --git a/tests/qa/.arcconfig b/tests/qa/.arcconfig
deleted file mode 100644
index 3f9c578bc..000000000
--- a/tests/qa/.arcconfig
+++ /dev/null
@@ -1,5 +0,0 @@
-{
-  "project_id" : "memgraph",
-  "conduit_uri" : "https://phabricator.memgraph.io",
-  "phabricator_uri" : "https://phabricator.memgraph.io"
-}
diff --git a/tests/qa/dbms/.gitignore b/tests/qa/dbms/.gitignore
deleted file mode 100644
index d6b7ef32c..000000000
--- a/tests/qa/dbms/.gitignore
+++ /dev/null
@@ -1,2 +0,0 @@
-*
-!.gitignore
diff --git a/tests/qa/dressipi_dump.txt b/tests/qa/dressipi_dump.txt
deleted file mode 100644
index e69de29bb..000000000
diff --git a/tests/qa/init b/tests/qa/init
index f97c9daf4..06bd4a199 100755
--- a/tests/qa/init
+++ b/tests/qa/init
@@ -6,28 +6,13 @@ function print_usage_and_exit {
     echo "Optional arguments:"
     echo -e "  -s\tuse sudo apt-get for installing required packages"
     echo -e "  -h\tdisplay this help and exit"
-    echo -e "  --no-clone-dependencies\tskip cloning memgraph sources"
-    echo -e "  --arc-diff\tcheckout the DIFF_ID from Phabricator"
     exit 1
 }
 
 # read arguments
-arcanist_diff_id=""
-clone_dependencies=true
 use_sudo=false
 while [[ $# -gt 0 ]]; do
     case $1 in
-        --no-clone-dependencies)
-            clone_dependencies=false
-            shift
-            ;;
-        --arc-diff)
-            if [[ -z $2 ]]; then
-                print_usage_and_exit
-            fi
-            arcanist_diff_id=$2
-            shift 2
-            ;;
         -s)
             use_sudo=true
             shift
@@ -45,11 +30,10 @@ set -e
 script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 cd ${script_dir}
 
-required_pkgs=(git arcanist # used to clone sources
-               python-virtualenv python3-pip # required by 'run' script
-              )
+required_pkgs=(python-virtualenv python3-pip) # required by 'run' script
 
 # install all dependencies on debian based operating systems
+required_missing=false
 for pkg in ${required_pkgs[@]}; do
     if dpkg -s $pkg 2>/dev/null >/dev/null; then
         echo "Found $pkg"
@@ -78,36 +62,3 @@ fi
 source ve3/bin/activate
 pip3 install --upgrade pip
 pip3 install -r requirements.txt
-
-# TODO: use pullbot and read a password from program arg or env var
-#       (in order to use this script inside CI infrastructure)
-
-
-# clean dbms folder
-dbms_folder=${script_dir}/dbms
-mkdir -p ${dbms_folder}
-
-# clone memgraph & checkout right commit
-cd ${dbms_folder}
-if [[ $clone_dependencies = true ]] ; then
-    rm -rf ${dbms_folder}/*
-    git clone https://phabricator.memgraph.io/diffusion/MG/memgraph.git
-fi
-memgraph_folder=${dbms_folder}/memgraph
-cd ${memgraph_folder}
-git checkout dev
-# optionally apply arcanist patch
-if [[ !  -z  ${arcanist_diff_id}  ]]; then
-    # nocommit is here because arc tries to commit the patch
-    # and it fails if user isn't set (inside CI infrastructure the user
-    # probably won't be defined because CI infrastructure doesn't push
-    # any code back to the repository)
-    arc patch ${arcanist_diff_id} --nocommit
-fi
-./init
-
-# compile memgraph
-memgraph_build_dir=${script_dir}/dbms/memgraph/build
-cd ${memgraph_build_dir}
-cmake ..
-make -j8
diff --git a/tests/qa/run b/tests/qa/run
index 060353366..946121011 100755
--- a/tests/qa/run
+++ b/tests/qa/run
@@ -39,12 +39,10 @@ if [[ "$test_suite" = "" ]]; then
     print_usage_and_exit
 fi
 
-## build memgraph
-
 # save the path where this script is
 script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-memgraph_src_dir=${script_dir}/dbms/memgraph
-memgraph_build_dir=${script_dir}/dbms/memgraph/build
+memgraph_src_dir=${script_dir}/../..
+memgraph_build_dir=${memgraph_src_dir}/build
 
 # activate virtualenv
 source $script_dir/ve3/bin/activate
@@ -59,12 +57,17 @@ cd ${memgraph_build_dir}
 binary_name=$(find ${memgraph_build_dir}/ -maxdepth 1 -executable \
     -name "memgraph*" | sort | tail -n 1)
 
+if [[ "$binary_name" == "" ]]; then
+    echo "You must build Memgraph before running this script!"
+    exit 1
+fi
+
 # get full path to memgraph config for interpreted queries
 config_path="${memgraph_src_dir}/config/testing.conf"
 
 # run scenarios
 cd ${script_dir}
-tck_flags="--root tck_engine/tests/$test_suite 
+tck_flags="--root tck_engine/tests/$test_suite
            --no-side-effects --db memgraph"
 
 if [[ $unstable = true ]]; then
diff --git a/tests/qa/snapshots/default/2017_05_19__17_40_02_88544 b/tests/qa/snapshots/default/2017_05_19__17_40_02_88544
deleted file mode 100644
index 4ac5fc6cf..000000000
Binary files a/tests/qa/snapshots/default/2017_05_19__17_40_02_88544 and /dev/null differ
diff --git a/tests/qa/snapshots/default/2017_05_19__17_41_05_38733 b/tests/qa/snapshots/default/2017_05_19__17_41_05_38733
deleted file mode 100644
index 4ac5fc6cf..000000000
Binary files a/tests/qa/snapshots/default/2017_05_19__17_41_05_38733 and /dev/null differ
diff --git a/tests/qa/snapshots/default/2017_06_16__07_09_32_30299 b/tests/qa/snapshots/default/2017_06_16__07_09_32_30299
deleted file mode 100644
index 4ac5fc6cf..000000000
Binary files a/tests/qa/snapshots/default/2017_06_16__07_09_32_30299 and /dev/null differ